| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class ExprStmt

    java.lang.Object
      |
      +--Statement
            |
            +--ExprStmt

Direct Known Subclasses:
  Expr

public abstract class ExprStmt
extends Statement

Field Summary
`Type` | `type`

Constructor Summary
`ExprStmt()`

Method Summary
`java.lang.String` | `get_Type()`

Methods inherited from class Statement
`codegen, print_rec, print_rec, print_rec, print_rec, sc_check`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    public Type type

Constructor Detail

### ExprStmt

    public ExprStmt()

Method Detail

### get_Type

    public java.lang.String get_Type()

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD